=== modified file 'drizzled/db.cc'
--- drizzled/db.cc	2010-06-15 13:37:26 +0000
+++ drizzled/db.cc	2010-06-25 13:44:52 +0000
@@ -362,10 +362,10 @@
   {
     TableIdentifier identifier(table->db, table->table_name);
     TableShare *share;
-    table->db_type= NULL;
+    table->setDbType(NULL);
     if ((share= TableShare::getShare(identifier)))
     {
-      table->db_type= share->db_type();
+      table->setDbType(share->db_type());
     }
   }
 
@@ -397,7 +397,7 @@
       error= 0;
     }
 
-    table_type= table->db_type;
+    table_type= table->getDbType();
 
     TableIdentifier identifier(db, table->table_name);
 
@@ -518,9 +518,9 @@
     table_list->table_name= strcpy(table_list->db, schema_identifier.getSchemaName().c_str()) + db_len + 1;
     TableIdentifier::filename_to_tablename((*it).c_str(), table_list->table_name, (*it).size() + 1);
     table_list->alias= table_list->table_name;  // If lower_case_table_names=2
-    table_list->internal_tmp_table= (strncmp((*it).c_str(),
+    table_list->setInternalTmpTable((strncmp((*it).c_str(),
                                              TMP_FILE_PREFIX,
-                                             strlen(TMP_FILE_PREFIX)) == 0);
+                                             strlen(TMP_FILE_PREFIX)) == 0));
     /* Link into list */
     (*tot_list_next)= table_list;
     tot_list_next= &table_list->next_local;

=== modified file 'drizzled/join.cc'
--- drizzled/join.cc	2010-06-24 05:34:43 +0000
+++ drizzled/join.cc	2010-06-25 13:44:52 +0000
@@ -5361,7 +5361,7 @@
       while ((tbl= it++))
       {
         tbl->embedding= table->embedding;
-        tbl->join_list= table->join_list;
+        tbl->setJoinList(table->getJoinList());
       }
       li.replace(nested_join->join_list);
     }

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2010-06-21 00:42:18 +0000
+++ drizzled/sql_base.cc	2010-06-25 13:44:52 +0000
@@ -1343,7 +1343,7 @@
     while (open_cache.records > table_cache_size && unused_tables)
       hash_delete(&open_cache,(unsigned char*) unused_tables);
 
-    if (table_list->create)
+    if (table_list->getCreate())
     {
       TableIdentifier  lock_table_identifier(table_list->db, table_list->table_name, message::Table::STANDARD);
 

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2010-06-20 01:19:18 +0000
+++ drizzled/sql_parse.cc	2010-06-25 13:44:52 +0000
@@ -930,17 +930,17 @@
     return NULL;
   if (table->db.str)
   {
-    ptr->is_fqtn= true;
+    ptr->setIsFqtn(true);
     ptr->db= table->db.str;
     ptr->db_length= table->db.length;
   }
   else if (lex->copy_db_to(&ptr->db, &ptr->db_length))
     return NULL;
   else
-    ptr->is_fqtn= false;
+    ptr->setIsFqtn(false);
 
   ptr->alias= alias_str;
-  ptr->is_alias= alias ? true : false;
+  ptr->setIsAlias(alias ? true : false);
   if (table->table.length)
     table->table.length= my_casedn_str(files_charset_info, table->table.str);
   ptr->table_name=table->table.str;
@@ -1035,7 +1035,7 @@
 
   join_list->push_front(ptr);
   ptr->embedding= embedding;
-  ptr->join_list= join_list;
+  ptr->setJoinList(join_list);
   ptr->alias= (char*) "(nested_join)";
   embedding= ptr;
   join_list= &nested_join->join_list;
@@ -1065,14 +1065,14 @@
 
   assert(embedding);
   ptr= embedding;
-  join_list= ptr->join_list;
+  join_list= ptr->getJoinList();
   embedding= ptr->embedding;
   nested_join= ptr->nested_join;
   if (nested_join->join_list.elements == 1)
   {
     TableList *embedded= nested_join->join_list.head();
     join_list->pop();
-    embedded->join_list= join_list;
+    embedded->setJoinList(join_list);
     embedded->embedding= embedding;
     join_list->push_front(embedded);
     ptr= embedded;
@@ -1112,7 +1112,7 @@
     ((nested_join_st*) ((unsigned char*) ptr + ALIGN_SIZE(sizeof(TableList))));
 
   ptr->embedding= embedding;
-  ptr->join_list= join_list;
+  ptr->setJoinList(join_list);
   ptr->alias= (char*) "(nest_last_join)";
   embedded_list= &nested_join->join_list;
   embedded_list->empty();
@@ -1120,7 +1120,7 @@
   for (uint32_t i=0; i < 2; i++)
   {
     TableList *table= join_list->pop();
-    table->join_list= embedded_list;
+    table->setJoinList(embedded_list);
     table->embedding= ptr;
     embedded_list->push_back(table);
     if (table->natural_join)
@@ -1157,7 +1157,7 @@
 void Select_Lex::add_joined_table(TableList *table)
 {
   join_list->push_front(table);
-  table->join_list= join_list;
+  table->setJoinList(join_list);
   table->embedding= embedding;
 }
 

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2010-06-15 13:37:26 +0000
+++ drizzled/sql_table.cc	2010-06-25 13:44:52 +0000
@@ -183,11 +183,11 @@
   {
     TableIdentifier identifier(table->db, table->table_name);
     TableShare *share;
-    table->db_type= NULL;
+    table->setDbType(NULL);
 
     if ((share= TableShare::getShare(identifier)))
     {
-      table->db_type= share->db_type();
+      table->setDbType(share->db_type());
     }
   }
 
@@ -239,7 +239,7 @@
         goto err_with_placeholders;
       }
     }
-    TableIdentifier identifier(db, table->table_name, table->internal_tmp_table ? message::Table::INTERNAL : message::Table::STANDARD);
+    TableIdentifier identifier(db, table->table_name, table->getInternalTmpTable() ? message::Table::INTERNAL : message::Table::STANDARD);
 
     if (drop_temporary || not plugin::StorageEngine::doesTableExist(*session, identifier))
     {

=== modified file 'drizzled/statement/create_table.cc'
--- drizzled/statement/create_table.cc	2010-05-13 00:24:20 +0000
+++ drizzled/statement/create_table.cc	2010-06-25 13:44:52 +0000
@@ -139,7 +139,7 @@
     if (not lex_identified_temp_table)
     {
       session->lex->link_first_table_back(create_table, link_to_local);
-      create_table->create= true;
+      create_table->setCreate(true);
     }
 
     if (not (res= session->openTablesLock(session->lex->query_tables)))

=== modified file 'drizzled/table_list.h'
--- drizzled/table_list.h	2010-06-24 05:34:43 +0000
+++ drizzled/table_list.h	2010-06-25 13:44:52 +0000
@@ -94,7 +94,6 @@
     straight(false),
     force_index(false),
     ignore_leaves(false),
-    create(false),
     join_using_fields(NULL),
     join_columns(NULL),
     next_name_resolution_table(NULL),
@@ -115,7 +114,8 @@
     db_type(NULL),
     internal_tmp_table(false),
     is_alias(false),
-    is_fqtn(false)
+    is_fqtn(false),
+    create(false)
   {}
 
   /**
@@ -128,7 +128,6 @@
   /** link in a global list of all queries tables */
   TableList *next_global; 
   TableList **prev_global;
-
   char *db;
   const char *alias;
   char *table_name;
@@ -171,7 +170,6 @@
    * so it is possible that it does not exist (used in CREATE TABLE
    * ... SELECT implementation).
    */
-  bool create;
 
   /*
     is the table a cartesian join, assumption is yes unless "solved"
@@ -219,17 +217,6 @@
   table_map on_expr_dep_tables; ///< tables on expression depends on
   nested_join_st *nested_join; ///< if the element is a nested join
   TableList *embedding; ///< nested join containing the table
-  List<TableList> *join_list; ///< join list the table belongs to
-  plugin::StorageEngine *db_type; ///< table_type for handler
-  char timestamp_buffer[20]; ///< buffer for timestamp (19+1)
-  bool internal_tmp_table;
-  /** true if an alias for this table was specified in the SQL. */
-  bool is_alias;
-  /** 
-   * true if the table is referred to in the statement using a fully
-   * qualified name (<db_name>.<table_name>).
-   */
-  bool is_fqtn;
 
   void set_underlying_merge();
   bool setup_underlying(Session *session);
@@ -432,6 +419,83 @@
 
     return output;  // for multiple << operators.
   }
+
+  void setIsAlias(bool in_is_alias)
+  {
+    is_alias= in_is_alias;
+  }
+
+  void setIsFqtn(bool in_is_fqtn)
+  {
+    is_fqtn= in_is_fqtn;
+  }
+
+  void setCreate(bool in_create)
+  {
+    create= in_create;
+  }
+
+  void setInternalTmpTable(bool in_internal_tmp_table)
+  {
+    internal_tmp_table= in_internal_tmp_table;
+  }
+
+  void setDbType(plugin::StorageEngine *in_db_type)
+  {
+    db_type= in_db_type;
+  }
+
+  void setJoinList(List<TableList> *in_join_list)
+  {
+    join_list= in_join_list;
+  }
+
+  bool getIsAlias() const
+  {
+    return is_alias;
+  }
+
+  bool getIsFqtn() const
+  {
+    return is_fqtn;
+  }
+
+  bool getCreate() const
+  {
+    return create;
+  }
+
+  bool getInternalTmpTable() const
+  {
+    return internal_tmp_table;
+  }
+
+  plugin::StorageEngine *getDbType() const
+  {
+    return db_type;
+  }
+
+  List<TableList> *getJoinList() const
+  {
+    return join_list;
+  }
+
+private:
+
+  List<TableList> *join_list; ///< join list the table belongs to
+  plugin::StorageEngine *db_type; ///< table_type for handler
+  char timestamp_buffer[20]; ///< buffer for timestamp (19+1)
+  bool internal_tmp_table;
+  /** true if an alias for this table was specified in the SQL. */
+  bool is_alias;
+
+  /** 
+   * true if the table is referred to in the statement using a fully
+   * qualified name (<db_name>.<table_name>).
+   */
+  bool is_fqtn;
+  bool create;
+
 };
 
 void close_thread_tables(Session *session);

